Por que as versões do Gnupg das distribuições não são atualizam com as versões mais recentes?

Olá pessoas,

Estou no início do aprendizado da utilização do PGP com o Gnupg e com isso estou fazendo algumas experiências. Além disso sou um usuário casual de Linux que gostaria muito de se tornar avançado para profissional.

Com o enorme e crescente preocupação com privacidade, confidencialidade e segurança retomei os estudos em PKI e com isso escolhi o PGP através do Gnupg.

Atualmente estou fazendo alguns testes básicos tipo “self learning” e com isso me deparei com uma indagação: Por que as versões do Gnupg das distribuições não atualizam com as versões mais recentes do Gnupg?

Após uma breve leitura no site oficial do Gnupg (gnupg.org) é informado que nem sempre nas distros de linux se encontram a versão mais atualizada e é recomendado (conforme meu entendimento) que deve-se fazer a atualização manual desse pacote, porém sabemos que no Linux não é tão simples assim.

Depois de algumas tentativas me deparei com uma instalação instável para a a minha utilização e experimentação atual, porém com mensagens de avisos e de erros que não encontrava na versão anterior que acompanha a distro.

Acredito que sejam coisas ligadas as dependências de outros pacotes.

Abaixo segue as mensagens recorrentes que aparecem após a cada procedimento que faço como o gpg:

gpg: keydb: handles=1 locks=0 parse=21 get=21 gpg: build=0 update=0 insert=0 delete=0 gpg: reset=1 found=21 not=1 cache=0 not=0 gpg: kid_not_found_cache: count=0 peak=0 flushes=0 gpg: sig_cache: total=71 cached=71 good=71 bad=0 gpg: random usage: poolsize=600 mixed=0 polls=0/0 added=0/0 outmix=0 getlvl1=0/0 getlvl2=0/0 gpg: rndjent stat: collector=0x0000000000000000 calls=0 bytes=0 gpg: secmem usage: 0/32768 bytes in 0 blocks

Estou utilizando a distro Ubuntu 19.10 eoan amd64.

Preciso de alguma orientação para entender o funcionamento e a resolução de possível problema.

Obrigado.